function [vysH]=analyza(cesta,hymna,okam,hvizd,energie,fs,handles)  %funkce pro hledani hymny
delkaS=120;%(s)      delka zpracovavaneho useku v (s) default 2min
delkahymny=10;   %min       prvnich 10minut se bude hledat hymna
% konfigurace % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
if exist('conf.xls','file')==2
    set(handles.text1,'String','Probíhá analýza, konfigurační soubor načten')
    st=konfigurace('global');
    for k=1:length(st)
        switch st(k).name
            case('delkaS')
                delkaS=st(k).cislo*60;
            case('delkahymny')
                delkahymny=st(k).cislo;
        end
    end
else
    set(handles.text1,'String','Probíhá analýza, použita standardní konfigurace')
end
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % %
pause(0.001)
i=1;
y=zeros(delkaS*fs,1);
hvizd_string='';
while length(y)==delkaS*fs ||i==1
    [y,fs]=readwav(cesta,'s',delkaS*fs,delkaS*fs*(i-1));
%     zde se budou volat funkce pro vykonani ukolu 
%       jako prvni je hymna
    if hymna==1 && (i*delkaS/60)<delkahymny %tato analyza bude provedena pouze pro prvnich 10 minut utkani
        h_det=f_hymna(y,fs,i-1,delkaS,handles);
    end
%     detekce zakladniho tonu reci urceni vyznamnych okamziku
    if okam==1 || energie==1
        [F0 E]=f_F0(y,fs,i-1,delkaS,handles);
        if get(handles.checkbox6,'Value')==1
            f_okam(F0,0,1,handles);    %f_okam(F0,zobrazeni v main okne,vypis do stringu, handles)
        end
    end
%     urceni hvizdu vyznam hvizdu
    if hvizd==1
        [hvizd_string result]=f_hvizd(y,fs,i-1,delkaS,handles);
    end
%     hozeni vseho do struktury pro jednu promenou na vsechno
    if okam==0 && energie==0;
        F0=0;
        E=0;
    end
    if hymna==0;
        h_det=0;
    end
    if hvizd==0
        hvizd_string='';
        result(3,1)=0;
    end
    
    vysH(i)=struct('ramec',hvizd_string,'time',result(2,:),'res',result(1,:),'hvizd',result(3,:)...
        ,'F0',F0,'hymna',h_det,'E',E);
    set(handles.slider1,'Max',i);
    set(handles.slider1,'Value',i);
    set(handles.slider1,'Min',0);
    if i>1
        set(handles.slider1,'SliderStep',[1/(i-1) 1]);
        set(handles.slider1,'Min',1);
    end
    pause(0.01)
    i=i+1;
end





function y=preemfaze(x)
alpha=0.92;

h=[1 -alpha];

y=filter(h,1,x);